Summary:         Structured Storage OLE2 library
Name:            libole2
Version:         0.2.3
Release:         0.3
Group:           System Environment/Libraries
License:         GPL
Source:          ftp://ftp.gnome.org/pub/GNOME/unstable/sources/libole2/libole2-%{version}.tar.gz
Buildroot:       /var/tmp/%{name}-%{version}-%{release}-root

%description
A library containing functionality to manipulate OLE2 Structured Storage files. It is used by Gnumeric from Gnome, AbiWord from AbiSuite and by other programs.

%package devel
Summary:    Libraries, includes, etc to develop libole2 applications
Group:      Development/Libraries
Requires:   %name = %version

%description devel
Libraries, include files, etc you can use to develop libole2 applications.

%prep

%setup -q

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} \
	--libdir=%{_libdir} --datadir=%{_datadir} \
	--includedir=%{_includedir} --bindir=%{_bindir}
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
    --libdir=%{_libdir} --datadir=%{_datadir} \
    --includedir=%{_includedir} --bindir=%{_bindir}

if [ "$SMP" != "" ]; then
    (make "MAKE=make -k -j $SMP"; exit 0)
    make
else
    make
fi


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{_prefix}

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} install

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_datadir}/aclocal/*.m4
%{_datadir}/libole2

%files devel
%defattr(-,root,root)
%attr(755, root, root) %{_bindir}/libole2-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/libole2

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Mon Jun 18 2001 Gregory Leblanc <gleblanc@rh7.build.cu-portland.edu>
- removed EVIL space that was breaking the install stage
- fixed %files to glob a bit better

* Sun Jun 10 2001 Gregory Leblanc <gleblanc@rh7.build.cu-portland.edu>
- removed unnecessary defines
- used RPM provided file location macros

* Sun Oct 22 2000 John Gotts <jgotts@linuxsavvy.com>
- Minor updates.
* Wed Jun 28 2000 Arturo Tena <arturo@directmail.org>
- Updated summary and description.
* Sun May 23 2000 John Gotts <jgotts@linuxsavvy.com>
- New SPEC file.
